#
# spec file for package josm

%global svn_revision 8109


Name:           josm
Version:        0
Release:        0.66.%{svn_revision}svn%{?dist}
Summary:        An editor for  OpenStreetMap (OSM)
Group:          Applications/Internet
License:        GPLv2+
URL:            http://josm.openstreetmap.de/
Source0:        %{name}-%{version}.%{svn_revision}svn.tar.gz
Source1:        %{name}
Source2:        %{name}-generate-tarball.sh
#Source built using the following commands : ./josm-generate-tarball.sh 3751

#patch to remove metadata-extractor and signpost-core of final jar
Patch1:         %{name}-%{version}-add_classpath.patch

#remove call to "svn info" and fix in build.xml revision and commit date 
Patch2:         %{name}-%{version}-remove_svn_call.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils 
BuildRequires:  desktop-file-utils
BuildRequires:  ant
BuildRequires:  java-devel >= 1:1.7.0
BuildRequires:  gettext
BuildRequires:  javacc
BuildRequires:  signpost-core >= 1.2.1.1
BuildRequires:  metadata-extractor2 >= 2.6.4
BuildRequires:  svgsalamander
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-compress
BuildRequires:  gnu-getopt
%if 0%{?fedora}
BuildRequires:  libappstream-glib
%endif
Requires:       java >= 1:1.7.0 
Requires:       jpackage-utils
Requires:       hicolor-icon-theme
Requires:       metadata-extractor2 >= 2.6.4
Requires:       ant
Requires:       signpost-core >= 1.2.1.1
Requires:       svgsalamander
Requires:       gnu-getopt
Requires:       xmpcore
Requires:       apache-commons-compress


%description
JOSM is an editor for OpenStreetMap (OSM) written in Java 
Currently it supports loading stand alone GPX track data from the OSM database,
loading and editing existing nodes, ways, metadata tags and relations. 

OpenStreetMap is a project aimed squarely at creating and providing
free geographic data such as street maps to anyone who wants them. 
The project was started because most maps you think of as free actually
have legal or technical restrictions on their use, holding back people
from using them in creative, productive or unexpected ways.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch1 -p0
%patch2 -p0

find . -name '*.jar' -exec rm -f '{}' \;
find . -name '*.class' -exec rm -f '{}' \;

# removing signpost source files and include signpost-core in buildrequires and requires
rm -rf ./src/oauth
# removing metadata-extractor and svgSalamander sources files and include metadata-extractor and svgSalamander dependencies
rm -rf ./src/com
# removing gnu-getopt from sources and include it as dependencie
rm -rf ./src/gnu

mkdir -p lib
ln -s $(build-classpath metadata-extractor2-2) lib/metadata-extractor.jar
ln -s $(build-classpath signpost-core) lib/signpost-core.jar
ln -s $(build-classpath svgsalamander) lib/svgsalamander.jar
ln -s $(build-classpath javacc) tools/javacc.jar
ln -s $(build-classpath commons-codec) lib/apache-commons-codec.jar
ln -s $(build-classpath ant) lib/ant.jar
ln -s $(build-classpath gnu-getopt) lib/gnu-getopt.jar
ln -s $(build-classpath gdata/gdata-core) lib/gdata-core.jar
ln -s $(build-classpath apache-commons-compress) lib/apache-commons-compress.jar

iconv -f iso8859-15 -t utf-8 CONTRIBUTION > CONTRIBUTION.conv && mv -f CONTRIBUTION.conv CONTRIBUTION

%build
ant javadoc
ant


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp javadoc  \
%{buildroot}%{_javadocdir}/%{name}

install -p -m 644 dist/%{name}-custom.jar %{buildroot}%{_javadir}/%{name}.jar

install -Dp -m 755 %SOURCE1 %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 images/logo.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

install -Dp -m 644 linux/tested/usr/share/man/man1/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%if 0%{?fedora}
install -Dp linux/tested/usr/share/appdata/%{name}.appdata.xml %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml
%endif

desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ linux/tested/usr/share/applications/%{name}.desktop

%if 0%{?fedora}
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml
%endif

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc README LICENSE CONTRIBUTION gpl-2.0.txt gpl-3.0.txt 
%{_mandir}/man1/%{name}.1.gz
%{_javadir}/%{name}.jar
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%if 0%{?fedora}
%{_datadir}/appdata/%{name}.appdata.xml
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}



%changelog
* Tue Mar 3 2015 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.66.8109svn
- Update to 8109 svn revision

* Thu Feb 12 2015 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.65.7995svn
- Update to 7995 svn revision

* Sat Jan 24 2015 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.64.7906svn
- Fix bug in launcher

* Sat Jan 17 2015 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.63.7906svn
- Adding dependency apache-commons-compress 

* Sat Jan 17 2015 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.62.7906svn
- Update to 7906 svn revision

* Wed Dec 24 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.61.7777svn
- Update to 7777 svn revision

* Mon Nov 17 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.60.7643svn
- Include appdata

* Mon Oct 27 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.59.7643svn
- Change commons-codec to apache-commons-codec

* Sat Oct 25 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.58.7643svn
- Update to 7643 svn revision

* Thu Oct 02 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.57.7588svn
- Fix bug with geolocal picture import

* Tue Sep 30 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.56.7588svn
- Update to 7588 svn revision

* Tue Sep 02 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.55.7480svn
- Update to 7480 svn revision

* Fri Aug 01 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.54.7347svn
- Update to 7347 svn revision

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.53.7000svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 04 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.52.7000svn
- Update to 7000 svn revision

* Tue Jan 07 2014 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.51.6502svn
- Add xmpcore in classpath

* Sun Dec 22 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.50.6502svn
- Update to 6502 svn revision

* Sun Oct 13 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.49.6388svn
- Update to 6388 svn revision

* Sun Oct 13 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.48.6238svn
- Update to 6238 svn revision
- Update requirement to metadata-extractor2

* Sun Aug 11 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.47.6115svn
- Update to 6115 svn revision

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.46.6060svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.45.6060svn
- Update to 6060 svn revision

* Fri May 17 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.44.5939svn
- Update to 5939 svn revision

* Wed May 01 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.43.5836svn
- Update to 5836 svn revision

* Sun Mar 24 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.42.5759svn
- Update to 5759 svn revision

* Sun Mar 17 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.41.5697svn
- Remove obsolete gdata-java dependencies

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.40.5697svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.39.5697svn
- Update to 5697 svn revision

* Wed Jan 16 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.38.5608svn
- Update to 5608 svn revision

* Wed Nov 14 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.37.5576svn
- Update to 5576 svn revision

* Sun Oct 21 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.36.5531svn
- Add new libs in launch script classpath

* Fri Oct 19 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.35.5531svn
- Suppress bad code copy in source and include it as lib.

* Mon Oct 08 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.34.5531svn
- Update to 5531 svn revision

* Sun Sep 02 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0-0.33.5485svn
- Change apache-commons-codec to commons-codec in classpath needed by f18+


